#pragma once

#include <fstream>
#include <iomanip>
#include <iostream>

using namespace std;


void getfloat(ifstream& s, float& f, const char sep);
void getint(ifstream& s, int& f, const char sep);

template <class T>
void format(T t, int w) {
	cout << left << setw(w) << t << " ";
}

template <class T>
void format(T t) {
	format(t, 4);
}